from zope import interface

import zope.testing
import unittest

OPTIONFLAGS = (zope.testing.doctest.ELLIPSIS |
               zope.testing.doctest.NORMALIZE_WHITESPACE)


def test_suite():
    doctests = ('README',)

    globs = dict(interface=interface)
  
    return unittest.TestSuite((
        zope.testing.doctest.DocFileSuite(doctest,
                                          optionflags=OPTIONFLAGS,
                                          globs=globs,
                                          ) for doctest in doctests
        ))

if __name__ == '__main__':
    unittest.main(defaultTest='test_suite')
